<?php
/**********************************************************************
***********************************************************************/
$page_security = 'SA_DIRECT_PURCHASE_RECEIPT_RETURN_INQ';
$path_to_root = "../..";

include_once($path_to_root . "/includes/db_pager.inc");
include_once($path_to_root . "/includes/session.inc");
include_once($path_to_root . "/purchasing/includes/db/quality_checks_db.inc");
include_once($path_to_root . "/sales/includes/sales_ui.inc");
include_once($path_to_root . "/projects/includes/db/projects_db.inc"); 

$js = "";
$js .= get_js_open_window(800, 500);
$js .= get_js_date_picker();

page(_($help_context = "Direct Purchase Receipts Inquiry"), false, false, "", $js);

if (isset($_GET['trans_no'])) {
    $_POST['trans_no'] = $_GET['trans_no'];
}

function _jo_id($row){ 
    $jo_id = $row['jo_id'];
    if ($jo_id > 0) {
        return get_service_trans_view_str(ST_JOB_ORDER, $jo_id);
    } else {
        return null;
    }
}

function _req_trans_no($row){ 
    return get_supplier_trans_view_str($row['req_type'], $row['req_trans_no']);
}

function _trans_no($row){ 
    return get_supplier_trans_view_str($row['type'], $row['trans_no']);
}

function _reference($row){
    return $row['reference'];
}

function _location($row){
    return $row['location_name'];
}

function _project_name($row){
    return get_project_formatted_name($row['project_id']);
}

function _tran_date($row){
    return sql2date($row['tran_date']);
}

function _approval_status($row){
    global $approval_statuses;
    return $approval_statuses[$row['approval_status']];
}

function _edit_link($row){
    if (in_array($row['approval_status'], array(AS_NEW, AS_WITH_THE_APPROVER, AS_AWAITING_APPROVAL, AS_BACK_TO_ORIGINATOR))) {
        $name_value = "rcp_no=".$row['id'];
        return pager_link( _("Edit Direct Purchase Receipt"), "/purchasing/direct_purchase_receipts.php?$name_value", ICON_EDIT);
    } elseif (in_array($row['approval_status'], array(AS_APPROVED))) {
        $name_value = "rcp_no=".$row['id'];
        return pager_link( _("Direct Purchase Return"), "/purchasing/direct_purchase_returns.php?$name_value", ICON_DOC);
    } else {
        return null;
    }
}

global $systypes_array, $approval_statuses;

start_form();

    start_table(TABLESTYLE_NOBORDER);
        start_row();
            ref_cells(text_bold("Receipt/ Return Trans #:"), 'trans_no', '',null, '', true);
            ref_cells(text_bold("Q.Check Trans #:"), 'req_trans_no', '',null, '', true);
            ref_cells(text_bold("Job Card #:"), 'jo_id', '',null, '', true);
            three_value_list_cells("Has Job:", 'has_job', null, 'All', 'All', 'Yes', 'Yes', 'No', 'No');
            ref_cells("Reference:", 'reference', '',null, '', true);
        end_row();
    end_table();

    start_table(TABLESTYLE_NOBORDER);
        start_row();
            locations_list_cells(_("Location:"), 'loc_code', null, '', true);
            date_cells("From Date:", 'from_date', '', null, -30);
            date_cells("To Date:", 'to_date', '', null, +30);
            project_list_cells(_("Project:"), 'project_id', null, _('Select a project'), true);
            
            $ap_values_array[-1] = "";
            $ap_values_array[AS_NEW] = $approval_statuses[AS_NEW];
            $ap_values_array[AS_AWAITING_APPROVAL] = $approval_statuses[AS_AWAITING_APPROVAL];
            $ap_values_array[AS_APPROVED] = $approval_statuses[AS_APPROVED];
            $ap_values_array[AS_COMPLETED] = $approval_statuses[AS_COMPLETED];
            $ap_values_array[AS_PROCESSED] = $approval_statuses[AS_PROCESSED];
            $ap_values_array[AS_BACK_TO_ORIGINATOR] = $approval_statuses[AS_BACK_TO_ORIGINATOR];
            $ap_values_array[AS_REJECTED] = $approval_statuses[AS_REJECTED];
            custom_values_list_cells("Status:", "ap_status", $ap_values_array, null, false, true);
            
            submit_cells('SearchOrders', _("Search"),'',_('Select documents'), 'default');
        end_row();    
    end_table();
    
$sql = get_sql_for_dp_receipts_returns_inquiry($_POST['trans_no'], $_POST['req_trans_no'], $_POST['jo_id'], $_POST['has_job'], $_POST['reference'], ST_DIRECT_PURCHASE_RECEIPT, 
                                               $_POST['project_id'], $_POST['from_date'], $_POST['to_date'], $_POST['loc_code'], $_POST['ap_status']);  
        
	$cols = array(  _("Trans No") => array('fun'=>'_trans_no', 'align'=>'center'), 
                        _("Q.Check Trans No") => array('fun'=>'_req_trans_no', 'align'=>'center'), 
                        _("Job Card #") => array('fun'=>'_jo_id', 'align'=>'center'), 
                        _("Reference") => array('fun'=>'_reference', 'align'=>'left'), 
                        _("Location") => array('fun'=>'_location'), 
                        _("Project") => array('fun'=>'_project_name'),      
                        _("Date") => array('fun'=>'_tran_date', 'align'=>'center'),
                        _("Approval Status") => array('fun'=>'_approval_status', 'align'=>'center'));

	array_append($cols, array(
            array('insert'=>true, 'fun'=>'_edit_link', 'align'=>'center'),
		));

    $table =& new_db_pager('orders_tbl', $sql, $cols);

    $table->width = "90%";

    display_db_pager($table);

end_form(2);
end_page();

?>